summaryrefslogtreecommitdiffstats
path: root/deps/hack-font-ttf/hack-font-ttf.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'deps/hack-font-ttf/hack-font-ttf.SlackBuild')
-rwxr-xr-xdeps/hack-font-ttf/hack-font-ttf.SlackBuild86
1 files changed, 86 insertions, 0 deletions
diff --git a/deps/hack-font-ttf/hack-font-ttf.SlackBuild b/deps/hack-font-ttf/hack-font-ttf.SlackBuild
new file mode 100755
index 0000000..ab48b87
--- /dev/null
+++ b/deps/hack-font-ttf/hack-font-ttf.SlackBuild
@@ -0,0 +1,86 @@
+#!/bin/sh
+
+# Copyright 2016 Eric Hameleers, Eindhoven, NL
+# Copyright 2016 Patrick J. Volkerding, Sebeka, MN USA
+# All rights reserved.
+#
+# Permission to use, copy, modify, and distribute this software for
+# any purpose with or without fee is hereby granted, provided that
+# the above copyright notice and this permission notice appear in all
+# copies.
+#
+# THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
+# IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
+# CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
+# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
+# USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
+# ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
+# OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
+# OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
+# SUCH DAMAGE.
+# -----------------------------------------------------------------------------
+
+
+PRGNAM=hack-font-ttf
+SRCNAM=Hack
+VERSION=${VERSION:-"2.020"}
+SRCVER=$(echo $VERSION |tr . _)
+ARCH=noarch
+BUILD=${BUILD:-1}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-$PRGNAM
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+
+# Font directory location depends on the X build prefix:
+# Determine what X we're running (the modular X returns the prefix
+# in the next command, while older versions stay silent):
+XPREF=$(pkg-config --variable=prefix x11)
+if [ "$XPREF" = "" ]; then
+ XPREF='/usr/X11R6'
+ FONTDIR="$XPREF/lib/X11/fonts/TTF"
+else
+ FONTDIR="/usr/share/fonts/TTF"
+fi
+mkdir -p $PKG$FONTDIR
+
+# Install the TTF fonts:
+cd $PKG$FONTDIR/
+tar xvf $CWD/${SRCNAM}-v${SRCVER}-ttf.tar.xz || exit 1
+chown -R root:root .
+chmod 644 $PKG$FONTDIR/*
+
+# Post-install script:
+mkdir -p $PKG/install
+cat << EOT > $PKG/install/doinst.sh
+# Update X font indexes and the font cache:
+if [ -x .$XPREF/bin/mkfontdir ]; then
+ chroot . $XPREF/bin/mkfontscale $FONTDIR
+ chroot . $XPREF/bin/mkfontdir $FONTDIR
+fi
+if [ -x .$XPREF/bin/fc-cache ]; then
+ chroot . $XPREF/bin/fc-cache $FONTDIR
+fi
+EOT
+
+# Add documentation:
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ $CWD/CHANGELOG.md $CWD/LICENSE.md $CWD/README.md \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+find $PKG/usr/doc -type f -exec chmod 644 {} \;
+
+# Add a package description:
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+# Build the package:
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/${PRGNAM}-${VERSION}-${ARCH}-${BUILD}.txz
+